<?php

$view = new view();
$view->name = 'wing_workflows';
$view->description = 'Workflow overview page';
$view->tag = 'Wing';
$view->base_table = 'wing_workflow';
$view->human_name = 'Wing: Workflows';
$view->core = 7;
$view->api_version = '3.0';
$view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

/* Display: Master */
$handler = $view->new_display('default', 'Master', 'default');
$handler->display->display_options['title'] = 'Wing: Workflows';
$handler->display->display_options['use_more_always'] = FALSE;
$handler->display->display_options['access']['type'] = 'perm';
$handler->display->display_options['access']['perm'] = 'administer wing';
$handler->display->display_options['cache']['type'] = 'none';
$handler->display->display_options['query']['type'] = 'views_query';
$handler->display->display_options['exposed_form']['type'] = 'basic';
$handler->display->display_options['pager']['type'] = 'full';
$handler->display->display_options['pager']['options']['items_per_page'] = '10';
$handler->display->display_options['style_plugin'] = 'table';
$handler->display->display_options['style_options']['columns'] = array(
  'machine_name' => 'machine_name',
  'wid' => 'wid',
  'title' => 'title',
);
$handler->display->display_options['style_options']['default'] = 'title';
$handler->display->display_options['style_options']['info'] = array(
  'machine_name' => array(
    'sortable' => 1,
    'default_sort_order' => 'asc',
    'align' => '',
    'separator' => '',
    'empty_column' => 0,
  ),
  'wid' => array(
    'sortable' => 1,
    'default_sort_order' => 'asc',
    'align' => '',
    'separator' => '',
    'empty_column' => 0,
  ),
  'title' => array(
    'sortable' => 1,
    'default_sort_order' => 'asc',
    'align' => '',
    'separator' => '',
    'empty_column' => 0,
  ),
);
/* Field: Wing: Workflow: Machine-readable name */
$handler->display->display_options['fields']['machine_name']['id'] = 'machine_name';
$handler->display->display_options['fields']['machine_name']['table'] = 'wing_workflow';
$handler->display->display_options['fields']['machine_name']['field'] = 'machine_name';
$handler->display->display_options['fields']['machine_name']['alter']['make_link'] = TRUE;
$handler->display->display_options['fields']['machine_name']['alter']['path'] = 'admin/content/wing/workflow/[machine_name]';
/* Field: Wing: Workflow: Internal, numeric wing: workflow ID */
$handler->display->display_options['fields']['wid']['id'] = 'wid';
$handler->display->display_options['fields']['wid']['table'] = 'wing_workflow';
$handler->display->display_options['fields']['wid']['field'] = 'wid';
$handler->display->display_options['fields']['wid']['label'] = 'Workflow ID';
$handler->display->display_options['fields']['wid']['alter']['make_link'] = TRUE;
$handler->display->display_options['fields']['wid']['alter']['path'] = 'admin/content/wing/workflow/[machine_name]';
/* Field: Wing: Workflow: Label */
$handler->display->display_options['fields']['title']['id'] = 'title';
$handler->display->display_options['fields']['title']['table'] = 'wing_workflow';
$handler->display->display_options['fields']['title']['field'] = 'title';
$handler->display->display_options['fields']['title']['alter']['make_link'] = TRUE;
$handler->display->display_options['fields']['title']['alter']['path'] = 'admin/content/wing/workflow/[machine_name]';

/* Display: Page */
$handler = $view->new_display('page', 'Page', 'page');
$handler->display->display_options['display_comment'] = 'Workflow overview page.';
$handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
$handler->display->display_options['path'] = 'admin/content/wing/workflow';
$handler->display->display_options['menu']['type'] = 'tab';
$handler->display->display_options['menu']['title'] = 'Workflows';
$handler->display->display_options['menu']['weight'] = '0';
$handler->display->display_options['menu']['name'] = 'management';
$handler->display->display_options['menu']['context'] = 0;
